> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payout Status

> 
    Retrieve the current status of a payout by its ID.
  



## OpenAPI

````yaml /openapi.yaml get /payouts/{payoutId}
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /payouts/{payoutId}:
    get:
      tags:
        - Payouts
      summary: Get Payout Status
      description: |2-

            Retrieve the current status of a payout by its ID.
          
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            description: Payout id.
          required: true
          description: Payout id.
          name: payoutId
          in: path
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      id:
                        type: string
                        minLength: 1
                        maxLength: 64
                        pattern: ^pyt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                        description: Payout id.
                        example: pyt-4ihii-9lonb-tmhjo9bor4odmb5h
                      walletId:
                        type: string
                        minLength: 1
                        maxLength: 64
                        pattern: ^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                        description: The wallet ID used for the payout.
                        example: wa-5pfuu-9euek-h0odgb6snva8ph3k
                      fiatCurrency:
                        type: string
                        description: ISO-4217 fiat currency code for the payout.
                      asset:
                        oneOf:
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - Erc20
                              amount:
                                type: string
                                pattern: ^\d+$
                                description: >-
                                  The amount of the asset to be paid out in
                                  minimum denomination.
                              contract:
                                type: string
                                description: The ERC-20 contract address.
                              network:
                                $ref: '#/components/schemas/Network'
                              metadata:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    description: The display name of the token.
                                  symbol:
                                    type: string
                                    description: The ticker symbol of the token.
                                  decimals:
                                    type: integer
                                    description: Number of decimals used by the token.
                                  verified:
                                    type: boolean
                                    description: >-
                                      Whether the token is verified by DFNS as
                                      legitimate.
                                required:
                                  - decimals
                            required:
                              - kind
                              - amount
                              - contract
                              - network
                            title: ERC-20 Asset
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - Spl
                                  - Spl2022
                              amount:
                                type: string
                                pattern: ^\d+$
                                description: >-
                                  The amount of the asset to be paid out in
                                  minimum denomination.
                              mint:
                                type: string
                                description: The token mint address.
                              network:
                                $ref: '#/components/schemas/Network'
                              metadata:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    description: The display name of the token.
                                  symbol:
                                    type: string
                                    description: The ticker symbol of the token.
                                  decimals:
                                    type: integer
                                    description: Number of decimals used by the token.
                                  verified:
                                    type: boolean
                                    description: >-
                                      Whether the token is verified by DFNS as
                                      legitimate.
                                required:
                                  - decimals
                            required:
                              - kind
                              - amount
                              - mint
                              - network
                            title: SPL/SPL-2022 Asset
                        description: >-
                          The asset being paid out, including token descriptor
                          and metadata.
                      externalId:
                        type: string
                        description: Optional external identifier for idempotency.
                      status:
                        type: string
                        enum:
                          - Processing
                          - Completed
                          - Failed
                          - Rejected
                          - Expired
                          - Canceled
                        description: The current status of the payout.
                      requester:
                        allOf:
                          - $ref: '#/components/schemas/Requester'
                          - description: The user/token that initiated the payout.
                      dateCreated:
                        type: string
                        format: date-time
                        description: >-
                          [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                          date (must be UTC). ISO 8601 timestamp when the payout
                          was created.
                        example: '2023-04-14T20:41:28.715Z'
                      dateFinalized:
                        type: string
                        format: date-time
                        description: >-
                          [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                          date (must be UTC). ISO 8601 timestamp when the payout
                          was finalized.
                        example: '2023-04-14T20:41:28.715Z'
                      provider:
                        type: string
                        enum:
                          - Borderless
                      data:
                        type: object
                        properties:
                          borderlessAccountId:
                            type: string
                            description: >-
                              The Borderless account ID associated with the
                              payout.
                          paymentInstructionsId:
                            type: string
                            description: >-
                              The Borderless payment instructions ID linked to
                              the destination bank account.
                          paymentPurpose:
                            type: string
                            enum:
                              - salary payment
                              - personal remittance
                              - rent payment
                              - property purchase
                              - owned account abroad
                              - advertising expenses
                              - advisory fees
                              - business insurance
                              - construction
                              - delivery fees
                              - education
                              - exports
                              - donation
                              - hotel
                              - loan payment
                              - maintenance expenses
                              - medical expense
                              - office expenses
                              - royalty fees
                              - service charge
                              - shares investment
                              - tax payment
                              - transportation fees
                              - travel
                              - utility bills
                              - other
                            description: The purpose of the withdrawal payment.
                          dateConfirmed:
                            type: string
                            format: date-time
                            description: >-
                              [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                              date (must be UTC). ISO 8601 timestamp when the
                              settlement was confirmed via Action Confirm.
                            example: '2023-04-14T20:41:28.715Z'
                          dateCanceled:
                            type: string
                            format: date-time
                            description: >-
                              [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                              date (must be UTC). ISO 8601 timestamp when the
                              settlement was canceled via Action Cancel.
                            example: '2023-04-14T20:41:28.715Z'
                          executionStatus:
                            type: string
                            enum:
                              - Initializing
                              - AwaitingPayoutInstructions
                              - AwaitingPayoutConfirmation
                              - SubmittingPayoutTransfer
                              - PendingPolicyApproval
                              - DepositProcessing
                              - DisbursementPending
                              - Completed
                              - Rejected
                              - Failed
                              - Expired
                              - Canceled
                            description: The Borderless execution status.
                          statusReason:
                            type: string
                            description: >-
                              Reason for the current status, primarily for
                              failure cases.
                          country:
                            type: string
                            description: >-
                              ISO-3166 Alpha-2 country code for the payout
                              destination.
                          borderlessPayoutId:
                            type: string
                            description: >-
                              The ID assigned by Borderless when the payout is
                              created.
                          depositAddress:
                            type: string
                            description: The on-chain address to remit funds to.
                          transferId:
                            type: string
                            description: The Dfns transfer ID used to settle the payout.
                          transactionHash:
                            type: string
                            description: >-
                              The blockchain transaction hash once the transfer
                              is confirmed.
                          dateDepositConfirmed:
                            type: string
                            format: date-time
                            description: >-
                              [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                              date (must be UTC). ISO 8601 timestamp when the
                              on-chain deposit was confirmed.
                            example: '2023-04-14T20:41:28.715Z'
                          datePayoutConfirmed:
                            type: string
                            format: date-time
                            description: >-
                              [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                              date (must be UTC). ISO 8601 timestamp when
                              Borderless verified fiat has settled.
                            example: '2023-04-14T20:41:28.715Z'
                        required:
                          - borderlessAccountId
                          - paymentInstructionsId
                          - paymentPurpose
                          - executionStatus
                          - country
                        description: Borderless provider-specific payout data.
                    required:
                      - id
                      - walletId
                      - fiatCurrency
                      - asset
                      - status
                      - requester
                      - dateCreated
                      - provider
                      - data
                    title: Borderless Payout
      security:
        - authenticationToken: []
components:
  schemas:
    Network:
      type: string
      title: Network
      enum:
        - Algorand
        - AlgorandTestnet
        - Aptos
        - AptosTestnet
        - ArbitrumOne
        - ArbitrumSepolia
        - ArcTestnet
        - AvalancheC
        - AvalancheCFuji
        - BabylonGenesis
        - BabylonTestnet5
        - Base
        - BaseSepolia
        - Berachain
        - BerachainBepolia
        - Bitcoin
        - BitcoinSignet
        - BitcoinTestnet3
        - BitcoinCash
        - Bob
        - BobSepolia
        - Bsc
        - BscTestnet
        - Canton
        - CantonTestnet
        - Cardano
        - CardanoPreprod
        - Concordium
        - ConcordiumTestnet
        - Celo
        - CeloAlfajores
        - Codex
        - CodexSepolia
        - CosmosHub4
        - CosmosIcsTestnet
        - Dogecoin
        - DogecoinTestnet
        - Ethereum
        - EthereumClassic
        - EthereumClassicMordor
        - EthereumSepolia
        - EthereumHolesky
        - EthereumHoodi
        - FantomOpera
        - FantomTestnet
        - FlareC
        - FlareCCoston2
        - FlowEvm
        - FlowEvmTestnet
        - Hedera
        - HederaTestnet
        - Ink
        - InkSepolia
        - InternetComputer
        - Ion
        - IonTestnet
        - Iota
        - IotaTestnet
        - Kaspa
        - Kusama
        - KusamaAssetHub
        - Litecoin
        - LitecoinTestnet
        - Near
        - NearTestnet
        - Optimism
        - OptimismSepolia
        - Origyn
        - Plasma
        - PlasmaTestnet
        - Plume
        - PlumeSepolia
        - Paseo
        - PaseoAssetHub
        - Polkadot
        - PolkadotAssetHub
        - Polygon
        - PolygonAmoy
        - Polymesh
        - PolymeshTestnet
        - Race
        - RaceSepolia
        - SeiAtlantic2
        - SeiPacific1
        - Solana
        - SolanaDevnet
        - Starknet
        - StarknetSepolia
        - Stellar
        - StellarTestnet
        - Sui
        - SuiTestnet
        - Tezos
        - TezosGhostnet
        - Tempo
        - TempoModerato
        - Tsc
        - TscTestnet1
        - Ton
        - TonTestnet
        - Tron
        - TronNile
        - Westend
        - WestendAssetHub
        - Xdc
        - XdcApothem
        - XLayer
        - XLayerSepolia
        - XrpLedger
        - XrpLedgerTestnet
    Requester:
      type: object
      properties:
        userId:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^us-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: User id.
          example: us-6b58p-r53sr-rlrd3l5cj3uc4ome
        tokenId:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^to-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: Token id.
          example: to-202a0-cdo33-o65mbt6q758lvvnt
      required:
        - userId
      description: The user who initiated the request.
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````